Titan FTP Server < 10.40 Build 1829 Directory Traversal Vulnerability

Medium

Synopsis

The remote FTP server is prone to a directory traversal vulnerability.

Description

The version of Titan FTP Server installed on the remote host is vulnerable to directory traversal by unauthorized parties. A remote attacker could exploit this to access arbitrary files containing sensitive information, which could aid in launching further attacks.

Solution

Upgrade to version 10.40 build 1829 or higher.